Bug 324661 - amarok: Build is broken in the Qt3/Qt4 combined environment
amarok: Build is broken in the Qt3/Qt4 combined environment
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-09 06:41 EDT by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-11 08:03:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-10-09 06:41:12 EDT
Description of problem:
When I try to build amaroK in the Qt3/Qt4 combined environment the amaroK is 
catching incorrect headers.

Version-Release number of selected component (if applicable):
Last official package

Additional info:
I think a workaround may be added such as Confilts: qt4-devel
Comment 1 Rex Dieter 2007-10-09 10:03:10 EDT
Patient: My arm hurts when I move it like this.
Dr: Then don't do that! 

Either use a clean build environment (like mock), or be aware that qt3/qt4 devel
environments being installed side-by-side has some short-comings.

I suspect the problem goes away if one does (before calling ./configure; make):
export PATH=$QTDIR/bin:$PATH
Comment 2 Andy Shevchenko 2007-10-09 11:22:56 EDT
(In reply to comment #1)
Some environments (I'd like to say "exclusive environments") requires the Qt3 
as well as Qt4 installed at the same time.
Comment 3 Rex Dieter 2007-10-09 11:28:02 EDT
Qt3/Qt4 runtime or Qt3/Qt4 Development environments?  :)  The former should
always "just work", the latter is where things get hairy.
Comment 4 Andy Shevchenko 2007-11-11 08:03:13 EST
I decide to close this report  because of many packages are not building in 
such environment - not only amarok. 

Note You need to log in before you can comment on or make changes to this bug.